
Core - Bug # 27923

Feature # 25397 (Closed): Adding XLIFF support as the default format for translation

Status: Closed Priority: Must have
Author: Steffen Gebert Category:
Created: 2011-07-06 Assigned To: Xavier Perseguers
Updated: 2013-06-01 Due date:
TYPO3 Version: 4.6
PHP Version:
Complexity:
Is Regression:
Sprint Focus:
Subject: locallangXMLOverride hook has been removed
Description

The hook locallangXMLOverride in t3lib_div::readLLfile()) to override language labels has been forgotten while implementing XLIFF
(#25397).

It has to be brought back somewhere in tx_lang_Factory::getParsedData() probably.

Related issues:
duplicated by Core - Bug # 27971: xliff removed hook to override locallangs Rejected 2011-07-08

Associated revisions
Revision 4706074b - 2011-07-10 10:02 - Dominique Feyer

[BUGFIX] locallangXMLOverride hook has been removed

This feature is back with a small addition. We can now override
a specific language only, with this configuration:

$GLOBALS['TYPO3_CONF_VARS']['SYS']['locallangXMLOverride']
['fr']['EXT:aboutmodules/mod/locallang_mod.xml'][] = 'fileadmin/fr.locallang_mod.xml';

Change-Id: I0f92542305594c08d883462a4ce504da820e74dc
Resolves: #27923
Reviewed-on: http://review.typo3.org/3120
Reviewed-by: Stefan Neufeind
Reviewed-by: Philipp Gampe
Tested-by: Philipp Gampe
Reviewed-by: Xavier Perseguers
Tested-by: Xavier Perseguers

History
#1 - 2011-07-08 01:32 - Mr. Hudson

Patch set 1 of change I0f92542305594c08d883462a4ce504da820e74dc has been pushed to the review server.
It is available at http://review.typo3.org/3120

#2 - 2011-07-08 10:52 - Mr. Hudson
Patch set 2 of change I0f92542305594c08d883462a4ce504da820e74dc has been pushed to the review server.
It is available at http://review.typo3.org/3120

#3 - 2011-07-08 12:26 - Mr. Hudson

Patch set 3 of change I0f92542305594c08d883462a4ce504da820e74dc has been pushed to the review server.
It is available at http://review.typo3.org/3120

#4 - 2011-07-09 16:35 - Thorsten Kahler
- Status changed from New to Under Review

#5 - 2011-07-10 01:30 - Mr. Hudson

Patch set 4 of change I0f92542305594c08d883462a4ce504da820e74dc has been pushed to the review server.
It is available at http://review.typo3.org/3120

#6 - 2011-07-10 10:02 - Xavier Perseguers
- Status changed from Under Review to Resolved
- Assigned To set to Xavier Perseguers
- Target version changed from 4.6.0-beta1 to 1281
- % Done changed from 0 to 100

#7 - 2012-03-07 13:33 - Xavier Perseguers
- Status changed from Resolved to Closed

#8 - 2013-06-01 14:43 - Ernesto Baschny
- Target version deleted (1281)
